# CMake toolchain file for building Pocketbook Free SDK software using

# this one is important
SET(CMAKE_SYSTEM_NAME Linux)
#this one not so much
SET(CMAKE_SYSTEM_VERSION 1)


SET (TOOLCHAIN_PATH "$ENV{PBSDK}")
SET (TOOLCHAIN_PREFIX "$ENV{PBABI}")
SET (TOOLCHAIN_INSTALL "sysroot/usr")
ADD_DEFINITIONS(-DPLATFORM_FC)


# specify the cross compiler
SET(CMAKE_INSTALL_PREFIX "${TOOLCHAIN_PATH}/${TOOLCHAIN_PREFIX}/${TOOLCHAIN_INSTALL}" CACHE PATH "Install path prefix" FORCE)

SET (CMAKE_C_COMPILER ${TOOLCHAIN_PREFIX}-gcc)
SET (CMAKE_CXX_COMPILER ${TOOLCHAIN_PREFIX}-g++)
SET (CMAKE_LINK ${TOOLCHAIN_PREFIX}-g++)
SET (CMAKE_ARR ${TOOLCHAIN_PREFIX}-arr)
SET (CMAKE_STRIP ${TOOLCHAIN_PREFIX}-strip)

# where is the target environment
SET(CMAKE_FIND_ROOT_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/${TOOLCHAIN_PATH}/${TOOLCHAIN_PREFIX}/${TOOLCHAIN_INSTALL})

include_directories(${TOOLCHAIN_PATH}/${TOOLCHAIN_PREFIX}/${TOOLCHAIN_INSTALL}/include/freetype2)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../img2ibitmap)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../lib7zip-2.0.0/Lib7Zip)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libzip-0.10.1/lib)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../unrar)

link_directories(${CMAKE_CURRENT_SOURCE_DIR}/../img2ibitmap/obj_arm_gnueabi)
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/../libzip-0.10.1/lib/.libs)
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/../unrar)
link_directories(${CMAKE_CURRENT_SOURCE_DIR}/../lib7zip-2.0.0/Lib7Zip)

# search for programs in the build host directories
SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
# for libraries and headers in the target directories
SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
